%define momorel 1
%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')

Summary: Dictionary for PRIME (a Japanese PRedictive Input Method Editor)
Name: prime-dict
Version: 1.0.0
Release: %{momorel}m
License: GPL
URL: http://taiyaki.org/prime/
Source: http://prime.sourceforge.jp/src/%{name}-%{version}.tar.gz
NoSource: 0
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: ruby
BuildRequires: ruby

%description
PRIME predicts user's input words using the knowledge of natural
language and the history of user's operations, and reduces the
cost of typing by the user.  For example, if a user wants to input
"application" and types "ap" as the beginning characters of the word,
PRIME might predict some candidate words like "apple", "application",
"appointment", etc...  And then the user can input "application"
easily by selecting the word from the candidate words by PRIME.

%prep
rm -rf %{buildroot}

%setup -q

%build
%configure --with-rubydir=%{ruby_libdir}
%make

%install
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_datadir}/prime/*
%{_libdir}/ruby/*/*

%changelog
* Wed Mar 30 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0.0-1m)
- up to 1.0.0

* Tue Mar  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.7-1m)
- version 0.8.7

* Wed Dec 15 2004 TAKAHASHI Tamotsu <tamo>
- (0.8.5-1m)

* Wed Sep 29 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.8.4-1m)
- version up

* Tue Jun 22 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.8.3-1m)
- version up

* Wed Mar 3 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.6.8.1-1m)
- version up

* Wed Dec 31 2003 kourin <kourin@fh.freeserve.ne.jp>
- (0.6.5-1m)
- version up

* Mon Nov  3 2003 Masaki Yatsu <yatsu@digital-genes.com>
- (0.6.0-1)
- initial version
